// //
// // Typography
// //
//
// $body-font-family: -apple-system, BlinkMacSystemFont, "helvetica neue", helvetica, roboto, noto, "segoe ui", arial, sans-serif;
// $mono-font-family: "SFMono-Regular", Menlo, Consolas, Monospace;
// $root-font-size: 16px;         // Base font-size for rems
// $body-line-height: 1.4;
// $body-heading-line-height: 1.15;
//
// //
// // Colors
// //
//
// $white: #fff;
//
// $grey-dk-000: #959396;
// $grey-dk-100: #5c5962;
// $grey-dk-200: #44434d;
// $grey-dk-250: #302d36 !default;
// $grey-dk-300: #27262b;
//
// $grey-lt-000: #f5f6fa;
// $grey-lt-100: #eeebee;
// $grey-lt-200: #ecebed;
// $grey-lt-300: #e6e1e8;
//
// $purple-000: #7253ed;
// $purple-100: #5e41d0;
// $purple-200: #4e26af;
// $purple-300: #381885;
//
// $blue-000: #2c84fa;
// $blue-100: #2869e6;
// $blue-200: #264caf;
// $blue-300: #183385;
//
// $green-000: #41d693;
// $green-100: #11b584;
// $green-200: #009c7b;
// $green-300: #026e57;
//
// $body-background-color: $white !default;
// $sidebar-color: $grey-lt-000 !default;
// $code-background-color: $grey-lt-000 !default;

// $body-text-color: $grey-dk-100 !default;
// $body-heading-color: $grey-dk-300 !default;
// $nav-child-link-color: $grey-dk-100 !default;
// $link-color: $purple-000 !default;
// $btn-primary-color: $purple-100 !default;
// $base-button-color: #f7f7f7 !default;
//
// //
// // Media queries in pixels
// //
//
// $media-queries: (
//   xs: 320px,
//   sm: 500px,
//   md: 740px,
//   lg: 1120px,
//   xl: 1400px
// );
//
// //
// // Spacing
// //
//
// $spacing-unit: 1rem; // 1rem == 16px
//
// $spacers: (
//   sp-0: 0,
//   sp-1: $spacing-unit * 0.25,
//   sp-2: $spacing-unit * 0.5,
//   sp-3: $spacing-unit * 0.75,
//   sp-4: $spacing-unit,
//   sp-5: $spacing-unit * 1.5,
//   sp-6: $spacing-unit * 2,
//   sp-7: $spacing-unit * 2.5,
//   sp-8: $spacing-unit * 3,
//   sp-9: $spacing-unit * 3.5,
//   sp-10: $spacing-unit * 4
// );
//
// $sp-1: map-get($spacers, sp-1); // 0.25 rem == 4px
// $sp-2: map-get($spacers, sp-2); // 0.5  rem == 8px
// $sp-3: map-get($spacers, sp-3); // 0.75 rem == 12px
// $sp-4: map-get($spacers, sp-4); // 1    rem == 16px
// $sp-5: map-get($spacers, sp-5); // 1.5  rem == 24px
// $sp-6: map-get($spacers, sp-6); // 2    rem == 32px
// $sp-7: map-get($spacers, sp-7); // 2.5  rem == 40px
// $sp-8: map-get($spacers, sp-8); // 3    rem == 48px
// $sp-9: map-get($spacers, sp-9); // 4    rem == 48px
// $sp-10: map-get($spacers, sp-10); // 4.5  rem == 48px
//
// //
// // Borders
// //
//
// $border: 1px solid;
// $border-radius: 4px;
// $border-color: $grey-lt-100;
//
// //
// // Grid system
// //
//
// $gutter-spacing: $sp-6;
// $gutter-spacing-sm: $sp-4;
// $nav-width: 232px;
// $content-width: 800px;
//
// $media-queries: (
//   xs: 320px,
//   sm: 500px,
//   md: 740px,
//   lg: 800px,
//   xl: 1316px
// );

a {
  color: #0695d8;
}

code {
  color: rgba(216, 105, 4, 1);
}

.site-title-label {
  background-color: #1fc8db;
  background-image: linear-gradient(141deg, #23e4f9 8.82%, #228bb2 89.5%);
  color: white;
  font-size: 16px;
  font-weight: bold;
  border-radius: 5px;
  padding: 5px 8px;
  margin-bottom: 2rem;
}

@media (min-width: 46.25rem) {
  .navigation {
   padding-top: 1rem;
  }
}

nav {
  padding-top: 1rem;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 2em;
}

h4, .text-delta {
  font-weight: bold;
}

pre > code {
  display: block;
}

/* 
DARK LIGHT SWITCH
*/
.form-switch {
  display: inline-block;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  position: relative;
}

.form-switch i {
  position: relative;
  display: inline-block;
  margin-right: .5rem;
  width: 46px;
  height: 26px;
  background-color: #e6e6e6;
  border-radius: 23px;
  vertical-align: text-bottom;
  transition: all 0.3s linear;
}

.form-switch i::before {
  content: "";
  position: absolute;
  left: 0;
  width: 42px;
  height: 22px;
  background-color: #eee;
  border-radius: 11px;
  transform: translate3d(2px, 2px, 0) scale3d(1, 1, 1);
  transition: all 0.25s linear;
}

.form-switch i::after {
  content: "";
  position: absolute;
  left: 0;
  width: 22px;
  height: 22px;
  background-color: #fff;
  border-radius: 11px;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.24);
  transform: translate3d(2px, 2px, 0);
  transition: all 0.2s ease-in-out;
  z-index:2;
}

.form-switch:active i::after {
  width: 28px;
  transform: translate3d(2px, 2px, 0);
}

.form-switch:active input:checked + i::after { transform: translate3d(16px, 2px, 0); }

.form-switch input { display: none; }

.form-switch input:checked + i { background-color: #666; }

.form-switch input:checked + i::before { transform: translate3d(18px, 2px, 0) scale3d(0, 0, 0); }

.form-switch input:checked + i::after { transform: translate3d(22px, 2px, 0); }

.form-switch svg {
  position: absolute;
  width: 15px;
  height: 15px;
  z-index: 1;
}

.form-switch svg#sun {
  left: 26px;
  top: 6px;
}
.form-switch svg#moon {
  left: 6px;
  top: 5px;
}


.form-switch.position-mobile {
  display: inline-block;
  position: absolute;
  right: 6rem;
}
@media (min-width: 31.25rem) {
  .form-switch.position-mobile {
    top: 1.15rem;
  }
}
.form-switch.position-desktop {
  display: none;
}
@media (min-width: 46.25rem) {
  .form-switch.position-mobile {
    display: none;
  }
  .form-switch.position-desktop {
    display: inline-block;
  }
}

img.img-highlighted {
  border-radius: $sp-1;
  box-shadow: 0rem $sp-1 $sp-2 rgba(0, 0, 0, 0.07), 0rem $sp-2 $sp-4 rgba(0, 0, 0, 0.05);
  margin: $sp-4 0;
  padding: $sp-4;
  max-height: 30rem;
  background: white;
}


blockquote {
  border-left: $sp-1 solid $blockquote-border-color;
  margin: 0;
  padding: $sp-4 $sp-6;
  background: $blockquote-background-color;
  border-radius: $sp-1;
}

blockquote.blockquote-warning {
  border-color: $blockquote-warning-border-color;
  background: $blockquote-warning-background-color;
  color: $blockquote-warning-color;
}

blockquote p {
  margin: 0rem auto;
}

#site-logo {
  height: $sp-5;
  width: $sp-5;
  margin-right: $sp-4;
  position: relative;
  top: .2rem;
}

.lang-options {
  font-size: 14px;
}
